Bug 3889 - killall script is never run
Summary: killall script is never run
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-03 21:39 UTC by Benjamin Gilbert
Modified: 2008-05-01 15:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 1999-07-06 15:07:18 UTC


Attachments (Terms of Use)

Description Benjamin Gilbert 1999-07-03 21:39:03 UTC
The default symlinks for killall set it up as K90 in runlevels 0 and 6.  But /etc/rc.d/rc will never run it, because it will only run K* scripts which have lockfiles in /var/lock/subsys, and killall obviously doesn't.



The solution is to make killall S00 instead of K90 and change halt and reboot to S01.

Comment 1 Bill Nottingham 1999-07-06 15:07:59 UTC
will be fixed in next initscripts release (4.25 or so)


Note You need to log in before you can comment on or make changes to this bug.